Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 414209 - media-sound/amarok-2.5.0-r2 crash when filtering collection when a mtp device connected
Summary: media-sound/amarok-2.5.0-r2 crash when filtering collection when a mtp device...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Jorge Manuel B. S. Vicetto
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard: Fixed in Qt 4.8.1
Keywords:
Depends on: qt-4.8.1-stable
Blocks:
  Show dependency tree
 
Reported: 2012-05-01 07:51 UTC by François Valenduc
Modified: 2012-07-06 20:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description François Valenduc 2012-05-01 07:51:01 UTC
When I filter my music collection while a MTP device is connected, amarok crashes instantly. I am using libmtp-1.1.2 and amarok-2.5.0-r2 but that also occurs with the current stable version of libmtp.

Reproducible: Always

Steps to Reproduce:
1.Start amarok
2.Connect a MTP device (creative Zen X-Fi if that matters)
3.Filter the local music collection
Actual Results:  
Amarok segfaults and crash.

Expected Results:  
Amarok should'nt crash.

This is the output I have got while starting amarok from a terminal (with --nofork and -d):

*** glibc detected *** amarok: double free or corruption (fasttop): 0x00007f42143e1690 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x76516)[0x7f4255f40516]
/lib64/libc.so.6(cfree+0x6c)[0x7f4255f4539c]
/usr/lib64/qt4/libQtCore.so.4(_ZN7QString4freeEPNS_4DataE+0x2c)[0x7f42568380ac]
/usr/lib64/qt4/libQtCore.so.4(+0x1828e9)[0x7f42568fb8e9]
/usr/lib64/libamaroklib.so.1(+0x5aee81)[0x7f425866fe81]
/usr/lib64/libamaroklib.so.1(_ZNK18StringMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0x3b)[0x7f425866f10b]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f470]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f470]
/usr/lib64/libamaroklib.so.1(_ZNK23OrContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f470]
/usr/lib64/libamaroklib.so.1(_ZNK24AndContainerMemoryFilter13filterMatchesE10KSharedPtrIN4Meta5TrackEE+0xa0)[0x7f425866f5d0]
/usr/lib64/libamaroklib.so.1(+0x5bea03)[0x7f425867fa03]
/usr/lib64/libamaroklib.so.1(+0x5b5a4d)[0x7f4258676a4d]
/usr/lib64/libthreadweaver.so.4(+0xcae1)[0x7f425350eae1]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver3Job7executeEPNS_6ThreadE+0xbe)[0x7f425350ec1e]
/usr/lib64/libthreadweaver.so.4(+0xc3cf)[0x7f425350e3cf]
/usr/lib64/libthreadweaver.so.4(_ZN12ThreadWeaver6Thread3runEv+0x78)[0x7f425350e488]
/usr/lib64/qt4/libQtCore.so.4(+0x79f65)[0x7f42567f2f65]
/lib64/libpthread.so.0(+0x7d0c)[0x7f425415ed0c]
/lib64/libc.so.6(clone+0x6d)[0x7f4255fa6bed]
======= Memory map: ========
00400000-00418000 r-xp 00000000 fe:00 816377                             /usr/bin/amarok
00617000-00618000 r--p 00017000 fe:00 816377                             /usr/bin/amarok
00618000-00619000 rw-p 00018000 fe:00 816377                             /usr/bin/amarok
020e8000-0304a000 rw-p 00000000 00:00 0                                  [heap]
7f4202d56000-7f4202d57000 rw-p 00000000 00:00 0 
7f4202d57000-7f4202d5b000 rwxp 00000000 00:00 0 
7f4202d5b000-7f4207dd4000 rw-s 00000000 fe:00 153524                     /var/tmp/kdecache-francois/plasma_theme_Amarok-Mockup.kcache
7f4207dd4000-7f4207e6a000 r--p 00000000 fe:00 286128                     /usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf
7f4207e6a000-7f4207f00000 r--p 00000000 fe:00 286115                     /usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf
7f4207f00000-7f4208080000 rw-p 00000000 00:00 0 
7f42080a6000-7f4208500000 rw-p 00000000 00:00 0 
7f4208526000-7f420852e000 rwxp 00000000 00:00 0 
7f420852e000-7f4208b00000 rw-p 00000000 00:00 0 
7f4208b14000-7f4208c14000 rw-p 00000000 00:00 0 
7f4208c14000-7f4208ca1000 r-xp 00000000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ca1000-7f4208ea0000 ---p 0008d000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ea0000-7f4208ea3000 r--p 0008c000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ea3000-7f4208ea5000 rw-p 0008f000 fe:00 529665                     /usr/lib64/qt4/plugins/script/libqtscript_xml.so.1.0.0
7f4208ea5000-7f4208ef6000 r-xp 00000000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f4208ef6000-7f42090f6000 ---p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f42090f6000-7f42090f8000 r--p 00051000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f42090f8000-7f42090f9000 rw-p 00053000 fe:00 529663                     /usr/lib64/qt4/plugins/script/libqtscript_webkit.so.1.0.0
7f42090f9000-7f42091c3000 r-xp 00000000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42091c3000-7f42093c2000 ---p 000ca000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42093c2000-7f42093c4000 r--p 000c9000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42093c4000-7f42093c7000 rw-p 000cb000 fe:00 529662                     /usr/lib64/qt4/plugins/script/libqtscript_uitools.so.1.0.0
7f42093c7000-7f42093c8000 rw-p 00000000 00:00 0 
7f42093c8000-7f42093eb000 r-xp 00000000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42093eb000-7f42095ea000 ---p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42095ea000-7f42095eb000 r--p 00022000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42095eb000-7f42095ec000 rw-p 00023000 fe:00 529661                     /usr/lib64/qt4/plugins/script/libqtscript_svg.so.1.0.0
7f42095ec000-7f420966f000 r-xp 00000000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f420966f000-7f420986e000 ---p 00083000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f420986e000-7f4209871000 r--p 00082000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f4209871000-7f4209873000 rw-p 00085000 fe:00 529660                     /usr/lib64/qt4/plugins/script/libqtscript_sql.so.1.0.0
7f4209873000-7f42098a8000 r-xp 00000000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f42098a8000-7f4209aa7000 ---p 00035000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f4209aa7000-7f4209aa9000 r--p 00034000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f4209aa9000-7f4209aaa000 rw-p 00036000 fe:00 529659                     /usr/lib64/qt4/plugins/script/libqtscript_opengl.so.1.0.0
7f4209aaa000-7f4209bb3000 r-xp 00000000 fe:00 529658                     /usr/lib64/qt4/plugins/script/libqtscript_network.so.1.0.0KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
sock_file=/home/francois/.kde4/socket-pc-francois/kdeinit4__0
zsh: suspended (signal)  amarok --nofork -d
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-05-01 23:49:29 UTC
Please open an upstream bug about this issue.
Comment 2 Matěj Laitl 2012-05-04 17:33:59 UTC
Is this bug reported upstream yet? Please provide a link.
Comment 3 François Valenduc 2012-05-05 07:28:55 UTC
Sorry, I forgotten until today to open a bug on KDE. The link to the bugreport is https://bugs.kde.org/show_bug.cgi?id=299424
Comment 4 Matěj Laitl 2012-05-16 21:09:19 UTC
The upstream bug cannot be reproduced anymore by François with qt 4.8.1, I suggest closing this bug.
Comment 5 Johannes Huber gentoo-dev 2012-05-17 06:48:44 UTC
(In reply to comment #4)
> The upstream bug cannot be reproduced anymore by François with qt 4.8.1, I
> suggest closing this bug.

Thanks for the info. Will be closed when Qt 4.8.1 stabilization is finished.
Comment 6 Andreas K. Hüttel archtester gentoo-dev 2012-07-06 20:59:41 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > The upstream bug cannot be reproduced anymore by François with qt 4.8.1, I
> > suggest closing this bug.
> 
> Thanks for the info. Will be closed when Qt 4.8.1 stabilization is finished.

Only ppc64 missing. Noone is running that arch anyway.